### Hierarchy

- WalletManager

### Implemented by

- WalletManagerImpl

## Index

### Methods

- addWealthValidator
- createWalletsRecords
- refreshWealthPtr
- validateWallets

## Methods

### addWealthValidator

- addWealthValidator(validatorPbKey: string): Promise<void>

- - Defined in manager/WalletManager.ts:7

  #### Parameters

  - ##### validatorPbKey: string

  #### Returns Promise<void>

### createWalletsRecords

- createWalletsRecords(wallets: AddrRecord[], baseID: string): Promise<WalletsRecords>

- - Defined in manager/WalletManager.ts:5

  #### Parameters

  - ##### wallets: AddrRecord[]

  - ##### baseID: string

  #### Returns Promise<WalletsRecords>

### refreshWealthPtr

- refreshWealthPtr(): Promise<WealthPtr>

- - Defined in manager/WalletManager.ts:9

  #### Returns Promise<WealthPtr>

### validateWallets

- validateWallets(walletRecords: WalletsRecords): boolean

- - Defined in manager/WalletManager.ts:10

  #### Parameters

  - ##### walletRecords: WalletsRecords

  #### Returns boolean

Generated using TypeDoc